The CCC's new TLS 1.2 Security Protocol Requirements

Effective March 1st, 2019, the Copyright Clearance Center (CCC) will no longer support Transport Layer Security (TLS) 1.1 protocol and any prior versions. Please update your server and/or client(s) BEFORE March 1st in accordance with the following considerations:

Please see Performing a Registry Change for Ares or ILLiad, for instructions on how to update your registry key on the client and the server. 

If you have not successfully upgraded to TLS 1.2 by March 1st, you will not be able to process payments, searches, or create orders via the “Permissions Gateway” or “RightsConnect” API. Self-hosted sites, you will need to alert your Ares System Administrator of these upcoming changes as soon as possible.

0

Comments

0 comments

Please sign in to leave a comment.

Didn't find what you were looking for?

New post